function [Roll, Pitch, Yaw] = calcularAnglesEuler( C_n_b )
%Calcula els angles d'Euler utilitzant la matriu C_ned_b. Troba el Roll,
%Pitch i Yaw respecte NED frame.
%Inputs:
%       C_ned_b: matriu de transformaci de Body a NED frame.
%Outputs:
%       Roll: angle Roll (graus)
%       Pitch: angle Pitch (graus)
%       Yaw: angle Yaw (graus)
    
    Roll_rad = atan2(C_n_b(3,2), C_n_b(3,3));
    Pitch_rad = asin(C_n_b(3,1));
    Yaw_rad = atan2(C_n_b(2,1),C_n_b(1,1));
    
    Roll = radtodeg(Roll_rad);
    Pitch = radtodeg(Pitch_rad);
    Yaw = radtodeg(Yaw_rad);
    
end

