function [C_ecef_eci] = crearMatriuECI_ECEF(t)
%Crea una matriu per passar de ECI a ECEF segons el temps que ha passat des
%de l'inici dels clculs moment en que els dos frame coincidien.
%Inputs:
%       t: temps que ha passat des de l'inici. s la suma del total d'iteracions (s)
%Outputs:
%       C_ecef_eci: Matriu que passa de ECI a ECEF frame.

    w_ie = 7.292115e-5;
    t0 = 0;
    
    C_ecef_eci = [cos(w_ie*(t-t0)) sin(w_ie*(t-t0)) 0; -sin(w_ie*(t-t0))...
        cos(w_ie*(t-t0)) 0; 0 0 1];
    
end

