function [ C_ned_ecef ] = crearMatriuRotacioECEF_NED( L, lambda)
%Retorna la matriu de transformaci de ECEF a NED.
%Inputs:
%       L: latitud (rad)
%       lambda: longitud (rad)
%Outputs:
%       C_ned_ecef: matriu rotaci de ECEF a NED.
    
    C_ned_ecef = [-sin(L)*cos(lambda) -sin(L)*sin(lambda) cos(L);...
        -sin(lambda) cos(lambda) 0; -cos(L)*cos(lambda) -cos(L)*sin(lambda)...
        -sin(L)];

end

