function [angleFi_nb, angleTeta_nb, angleFi_nb_graus, angleTeta_nb_graus] = leveling(matriuDades )
%LEVELING: Aplica el procs de leveling per trobar els angles  angleFi_nb i
%angleTeta_nb. Els torna amb radians i graus.
%Inputs:
%       matriuDades: fitxer de les dades mesurades per la IMU.
%Outputs:
%       angleFi_nb: angle Fi (rad)
%       angleTeta_nb: angle Teta (rad)
%       angleFi_nb_graus: angle Fi (graus)
%       angleTeta_nb_graus: angle Teta (graus)
    
    %Sumem els 20 primers valors de la fora especfica per fer-ne la
    %mtijana.
    f_b_ibx_suma = 0;
    f_b_iby_suma = 0;
    f_b_ibz_suma = 0;
    
    for fila=1:1:20
        [f_b_ibx, f_b_iby, f_b_ibz] = llegirForcaEspecifica(fila,matriuDades);
        f_b_ibx_suma = f_b_ibx_suma + f_b_ibx;
        f_b_iby_suma = f_b_iby_suma + f_b_iby;
        f_b_ibz_suma = f_b_ibz_suma + f_b_ibz;
    end
    
    %En fem la mitjana
    f_b_ibx_mitja = f_b_ibx_suma/20;
    f_b_iby_mitja = f_b_iby_suma/20;
    f_b_ibz_mitja = f_b_ibz_suma/20;
    
    %Apliquem les equacions del llibre per trobar Fi i Teta. Els calculem
    %en rad i graus.
    angleFi_nb = atan2(-f_b_iby_mitja, -f_b_ibz_mitja);
    angleTeta_nb = atan(f_b_ibx_mitja/(sqrt(f_b_iby_mitja^2 + f_b_ibz_mitja^2)));
    angleFi_nb_graus = atan2d(-f_b_iby_mitja, -f_b_ibz_mitja);
    angleTeta_nb_graus = atand(f_b_ibx_mitja/(sqrt(f_b_iby_mitja^2 + f_b_ibz_mitja^2)));
end

