function [ fbx, fby, fbz] = llegirForcaEspecifica(fila,matriuDades)
%Llegeix la matriu de resultats de sortida de la IMU. Retorna el valor de la
%forca especifica x, y i z de la fila que li indiquem.
%Inputs:
%       matriuDades: matriu amb les dades que recull la IMU.
%       fila: fila de la matriu de la qual volem extreure les dades.
%Outputs:
%       fbx, fby, fbz: valors que mesuren els accelermetres x, y i z.

    
    fbx = matriuDades(fila, 5);
    fby = matriuDades(fila, 6);
    fbz = matriuDades(fila, 7);
   
end

