function [mbx, mby, mbz] = llegirMagnetometre(fila, matriuDades )
%Llegeix i retorna els valors que donen els magnetometres de la IMU
%corresponens a la fila fila i a la matriu matriuDades.
%Inputs:
%       matriuDades: matriu de les dades que recull la IMU.
%       fila: fila de la qual es vol extreure les dades.
%Outputs:
%       mbx, mby, mbz: valor dels giroscopis x, y i z respectivament(rad/s)

    mbx = matriuDades(fila, 8);
    mby = matriuDades(fila, 9);
    mbz = matriuDades(fila, 10);

end

